HSI_GET_CHANNEL_ID_B(9)

NAME
hsi_get_channel_id_by_name - acquire channel id by channel name

SYNOPSIS

int hsi_get_channel_id_by_name(struct hsi_client * cl, char * name);

ARGUMENTS

cl
    HSI client, which uses the channel

name
    name the channel is known under

DESCRIPTION

Clients can call this function to get the hsi channel ids similar to requesting IRQs or GPIOs by name. This function assumes the same channel configuration is used for RX and TX.

Returns -errno on error or channel id on success.

COPYRIGHT